Subject: Re: [bitcoin-dev] Bitcoin XT Fork

From: Angel Leon <[email-masked]>
Date: Tue, 18 Aug 2015 22:59:01 -0400

"How then to end this XT madness?"

Instead of bashing on someone that has actually put a solution forward,
make your own fork and see if your ideas on how to solve the issue are any
better.

As of now, 1Mb blocks are pure madness, and people are voting over an 8mb
block increase every day that passes, even with a "useless project" like
you call it.

Go out there and see how bitcoin is actually used.

http://twitter.com/gubatron

On Tue, Aug 18, 2015 at 10:54 PM, odinn via bitcoin-dev <
[email-masked]> wrote:

> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
> The "XT Fork" (better said, a POS alt*) and those behind it make not
> even a pretense to work through process involved with bitcoin developmen
> t.
>
> (*This is not intended as a slight toward any other alts, as here in
> this post I am focusing solely on XT.)
>
> Instead of abandoning their useless project, or at least conceding
> that their alt is operating essentially outside of the development
> funnel (by this I mean BIP process), the developers of XT, via their
> latest presentation of XT give nothing more than an attack on bitcoin
> (albeit one that, more than anything, is designed to sidetrack real
> discussion necessary to resolve the issues so as to achieve some level
> of consensus in block size debates).  Curiously, XT is not even truly
> the implementation of BIP 101; the actual proposed implementation of
> BIP 101 as proposed at
> https://github.com/bitcoin/bips/blob/master/bip-0101.mediawiki#implement
> ation
> is found here: https://github.com/bitcoin/bitcoin/pull/6341
> (It is currently a closed issue.)
>
> It's probably valid to call into question why Mike Hearn in particular
> persists with this project at all, as he has been its biggest
> cheerleader. Some reasons may be:
> 1) His interest in attacking bitcoin in the past (seems to be a
> recurring pattern)
> https://bitcointalk.org/index.php?topic=333824.0
>
> 2) His employment (has come up before) - QinetiQ, Google, etc
> https://plus.google.com/+MikeHearn/about - it's simply not
> unreasonable to ask why he's pushing it so hard when nobody wants it.
>
> 3) Various reasons mentioned here:
> https://www.reddit.com/r/Bitcoin/comments/39yaug/the_history_of_mike_hea
> rn_and_why_you_should_not/
>
>
> 4) His disinterest in following what is actually happening with votes
> on legitimate proposals (e.g. Garzik's BIP 100) in the blocks. (Caveat
> ~ one doesn't see the BIP 100 yet in bitcoin/bips because it won't
> appear for another couple weeks, supposedly.  The miners' voting is
> already happening however.) Even according to http://xtnodes.com/ we
> see that XT runs minimal nodes in comparison to the rest of nodes
> being run across the network.
>
> BIP 100 itself is anticipated to be submitted w/ implementation in the
> next 2 weeks and many miners are already voting on BIP 100 (as per
> Jeff Garzik, from a post 08/12/2015 12:46 PM -0400 to this mailing list)
> .
>
>  It is an insult to see Hearn fling the XT turd into the community
> repeatedly.
>
> How then to end this XT madness?
>
> "The ring was made in the fires of Mount Doom. Only there can it be
> unmade. The ring must be taken deep into Mordor and cast back into the
> fiery chasm from whence it came. One of you must do this."
> - - Lord Elrond
>
> Do not download this loathsome XT thing. Cast it back into the fires
> from whence it came.
>
> - -Odinn
>
>
> On 08/15/2015 10:43 AM, Satoshi Nakamoto via bitcoin-dev wrote:
> > I have been following the recent block size debates through the
> > mailing list.  I had hoped the debate would resolve and that a fork
> > proposal would achieve widespread consensus.  However with the
> > formal release of Bitcoin XT 0.11A, this looks unlikely to happen,
> > and so I am forced to share my concerns about this very dangerous
> > fork.
> >
> > The developers of this pretender-Bitcoin claim to be following my
> > original vision, but nothing could be further from the truth.  When
> > I designed Bitcoin, I designed it in such a way as to make future
> > modifications to the consensus rules difficult without near
> > unanimous agreement.  Bitcoin was designed to be protected from the
> > influence of charismatic leaders, even if their name is Gavin
> > Andresen, Barack Obama, or Satoshi Nakamoto.  Nearly everyone has
> > to agree on a change, and they have to do it without being forced
> > or pressured into it.  By doing a fork in this way, these
> > developers are violating the "original vision" they claim to
> > honour.
> >
> > They use my old writings to make claims about what Bitcoin was
> > supposed to be.  However I acknowledge that a lot has changed since
> > that time, and new knowledge has been gained that contradicts some
> > of my early opinions.  For example I didn't anticipate pooled
> > mining and its effects on the security of the network.  Making
> > Bitcoin a competitive monetary system while also preserving its
> > security properties is not a trivial problem, and we should take
> > more time to come up with a robust solution.  I suspect we need a
> > better incentive for users to run nodes instead of relying solely
> > on altruism.
> >
> > If two developers can fork Bitcoin and succeed in redefining what
> > "Bitcoin" is, in the face of widespread technical criticism and
> > through the use of populist tactics, then I will have no choice but
> > to declare Bitcoin a failed project.  Bitcoin was meant to be both
> > technically and socially robust.  This present situation has been
> > very disappointing to watch unfold.
> >
> > Satoshi Nakamoto
> >
> > _______________________________________________ bitcoin-dev mailing
> > list [email-masked]
> > https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
> >
>
> - --
> http://abis.io ~
> "a protocol concept to enable decentralization
> and expansion of a giving economy, and a new social good"
> https://keybase.io/odinn
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1
>
> iQEcBAEBAgAGBQJV0+/fAAoJEGxwq/inSG8C4ZAIAKm1pEne0FlOW1O4zLe6mZOz
> YTcnpSHFiVw4AfUPgbzR813ODphnJqcwnoT1q/sojjqgIDtwZY+AqdjA3VAbe15D
> bAPlvQGmXMlaXq8OteDYPKxPzQMUlRtxEd9+sxO5IGFx0kvmKQLzdk6cmgawcRhN
> PrDyXIqLlx6Yp0REQ03v3poLTGojUkPLeqdMrJAjwpuAyv9F8iVUn7SeHemEi8cm
> fW4wOJogA8j9P//3a7+Cr8bjnOz6+QwpHsdlZlKM4VUTxt3Vgx4vu+SQjQxWgZEK
> I+HGvgQW1buoDxleBbFq6SJc55lhF41IB17tewuDuPzT2nL4zOkbis1tUk3ASxY=
> =Rm7w
> -----END PGP SIGNATURE-----
> _______________________________________________
> bitcoin-dev mailing list
> [email-masked]
> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>